{
    "Name" = "PackUpAndGo suite";
    "Description" = "PackUpAndGo specific classes.";

    "Classes" = {
        "NSApplication" = {
            "Name" = "application";
            "PluralName" = "applications";
            "Description" = "PackUpAndGo's top level scripting object.";
            "Attributes" = {
                "smallest" = {
                    "Name" = "smallest";
                    "Description" = "Optimize for smallest compressed size, not time to compress";
                };
                "outputFile" = {
                    "Name" = "output location";
                    "Description" = "Where PackUpAndGo put the compressed file or uncompressed file/folder";
                };
            };
        };
    };

    "Commands" = {
        "Pack" = {
            "Name" = "pack";
            "Description" = "Compress a set of files or folders";
            "Arguments" = {
                "InputFiles" = {
                    "Name" = "with";
                    "Description" = "List of full paths to be compressed.";
                };
                "OutputLocation" = {
                    "Name" = "in";
                    "Description" = "Destination folder for packing to take place in";
                };
                "UUencoding" = {
                    "Name" = "binhex";
                    "Description" = "Further uuencode (binhex) the file - true or false";
                };
                "UsingGnutar" = {
                    "Name" = "using gnutar";
                    "Description" = "Attempt to use gnutar if available - true or false";
               };
            };
        };
        "UnPack" = {
            "Name" = "unpack";
            "Description" = "Decompress (unarchive) a set of files or folders";
            "Arguments" = {
                "InputFiles" = {
                    "Name" = "with";
                    "Description" = "List of full paths to be unpacked.";
                };
                "OutputLocation" = {
                    "Name" = "in";
                    "Description" = "Destination folder for unpacking to take place in";
                };
            };
        };
    };

}

